Description

Supportanfrage

Ich habe nochmal feedback zur Device toolb0x 3.5.0 und dem CAN signal provider:

Still does not work well. Please consider the same issue also for CANFD, Flexray, SomeIP ...

The CAN Signal Provider has a heavy performance penalty in synchronous processing.

Without CAN Signal Provider I have a rate of 500 Samples/seconds from a testing CAN device source (samples are created in a

thread). After adding the CAN Signal Provider to the system, the rate drops to below 100 Samples/seconds. This indicates that

the CAN Signal Provider adds a lot of synchronous processing to the trigger on the CAN stream. So this would render it

unusable in a live situation. A more asynchronous method needs to be used for providing the signals. Also reduced

performance requirements would probably be appreciated by others, since some users work with several CAN streams in

parallel.

Is it possible to take the Media Description Service's signal providing functionality as a template for implementation? Since this

seems to work well.

Workaround I used:

Do not use the CAN signal provider. Instead connect the CAN output pin of the CAN device source to a CAN Substream

Decoder (and connect its output pin to a Sample Stream). Then use the Media Description Service's signal providing

functionality.

Since I also usually show the CAN signal provider to customers as one of its important features.

For measuring the samples the Sample Trace View UI service was used.

 BR, Anja

Lösung

I opened a bug report for this issue:

[ADEVTB-1987] - Bus signal provider decrease data rate

History

#1 - 2021-04-28 11:43 - hidden

- Status changed from New to In Progress

- Customer set to ELEKTROBIT

#3 - 2021-05-06 17:42 - hidden

- Project changed from 7 to Public Support

- Subject changed from [EBPSSD-1348]  CAN Signal Provider has performance penalty in synchronous processing to [EBPSSD-1348] CAN Signal
Provider has performance penalty in synchronous processing

- Description updated

- Status changed from In Progress to To Be Closed

- Department set to SUPPORT

- Topic set to DeviceTB::CAN

- Support Level changed from 2nd Level to 3rd Level

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ADEVTB-1987

Hi Anja,

I opened a bug report for this issue:

[ADEVTB-1987] - Bus signal provider decrease data rate

#4 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
